Subject: [alsa-devel] [PATCH v5 8/8] ASoC: fsl: add imx-sgtl5000 machine driver

From: [email-masked] (Timur Tabi)
Date: Fri, 16 Mar 2012 16:31:20 -0500

Trent Piepho wrote:
> The ESAI and SSI hardware are totally different.  SSI gives you a
> playback and a record stream in an I2S, or I2S like, interface.  A
> stream is mono or stereo. ESAI has IIRC up to six output and four
> inputs streams.  Each stream is in parallel on the same clock, and can
> have one or more channels. 

Are these channels on the same wire in a time-division multiplexing, or on
six different wires?  If it's a TDM, then the SSI can actually do this
using "network mode", but I don't enable that in the driver, since it's
not really I2S compliant.

Well, this point is not really relevant to the discussion.

-- 
Timur Tabi
Linux kernel developer at Freescale